# eric7.QScintilla.DocstringGenerator.SphinxdocGenerator

Module implementing the docstring generator for the 'sphinxdoc' style.

### Global Attributes

None

### Classes

None

### Functions

generateSphinxDoc | Function to generate the docstring line list iaw.

## generateSphinxDoc

generateSphinxDoc(functionInfo)

Function to generate the docstring line list iaw. Sphinx documentation style.

Note: Text is created with DESCRIPTION placeholders for descriptions and TYPE placeholders for type information

functionInfo (FunctionInfo)
  object containing the function information to base the docstring on

Return:
  list of docstring lines

Return Type:
  str

Up